%define name	ovalqi
%define version	3.4.0
%define release	1.0

Summary:	The OVAL query interpreter checks a system for vulnerabilities described in SQL queries
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://oval.mitre.org/DontDownload/oval/download/OVALinterpreters.tbz2
Copyright:	GPL
Group:		System/Configuration/Other
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prefix:		%{_prefix}
BuildArchitectures: i386

%description
OVAL, or the Open Vulnerability Assessment Language, describes how
to check a system for vulnerabilities, providing a common human
readable and machine-parseable language to discuss, refine, and test
vulnerability definitions.

This Vulnerability Query Interpreter checks a system against
vulnerabilities described in the bundled SQL query file.


To run:

/usr/sbin/ovalqi.sh


%prep
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%setup -n OVALinterpreters
#%patch -p0

%build
cd project/redhat/QueryInterpreter
make

%install
echo we are starting the install phase
pwd
/bin/mkdir -p $RPM_BUILD_ROOT/usr/sbin
/bin/mkdir -m 700 -p $RPM_BUILD_ROOT/usr/lib/ovalqi
/bin/mkdir -m 700 -p $RPM_BUILD_ROOT/usr/share/ovalqi
/bin/mkdir -m 755 -p $RPM_BUILD_ROOT/usr/share/doc/ovalqi
/bin/mkdir -m 700 -p $RPM_BUILD_ROOT/var/log/ovalqi

/bin/cp project/redhat/QueryInterpreter/Release/ovalqi $RPM_BUILD_ROOT/usr/sbin
/bin/cp project/redhat/QueryInterpreter/ovalqi.sh $RPM_BUILD_ROOT/usr/sbin
/bin/cp project/redhat/QueryInterpreter/libsqlite.so.0.8.6 $RPM_BUILD_ROOT/usr/lib/ovalqi
#/bin/cp oval-schema.xsd $RPM_BUILD_ROOT/usr/share/ovalqi
#/bin/cp definitions.xml $RPM_BUILD_ROOT/usr/share/ovalqi
/bin/cp sql/redhat.definitions.sql $RPM_BUILD_ROOT/usr/share/ovalqi/definitions.sql
/bin/cp docs/terms.txt $RPM_BUILD_ROOT/usr/share/doc/ovalqi
/bin/cp docs/QueryInterpreter/readme.txt $RPM_BUILD_ROOT/usr/share/doc/ovalqi
/bin/cp docs/QueryInterpreter/version.txt $RPM_BUILD_ROOT/usr/share/doc/ovalqi

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
/bin/rm -fr $RPM_BUILD_ROOT/%{name}

%post
# Add /usr/lib/ovalqi to the end of /etc/ld.so.conf if it's not yet present.
if [ `/bin/egrep -c '^/usr/lib/ovalqi' /etc/ld.so.conf ` -lt 1 ] ; then
        /bin/echo "/usr/lib/ovalqi" >>/etc/ld.so.conf
#	/sbin/ldconfig
fi
/sbin/ldconfig

%preun
if [ $1 = 0 ]; then
    #// Do stuff specific to uninstalls
if [ -e /usr/lib/ovalqi/libsqlite.so.0.8 ] ; then
	/bin/rm /usr/lib/ovalqi/libsqlite.so.0.8
fi
if [ -e /usr/lib/ovalqi/libsqlite.so.0 ] ; then
	/bin/rm /usr/lib/ovalqi/libsqlite.so.0
fi
if [ -e /usr/lib/ovalqi/libsqlite.so ] ; then
	/bin/rm /usr/lib/ovalqi/libsqlite.so
fi
fi

%postun
if [ $1 = 0 ]; then
   # // Do stuff specific to uninstalls
if  [ `/bin/egrep -c '^/usr/lib/ovalqi' /etc/ld.so.conf ` -gt 0 ] ; then
        /bin/egrep -v '^/usr/lib/ovalqi$' /etc/ld.so.conf >/usr/lib/etc.ld.so.conf.uninstalling-oval
        /bin/chown root:root /usr/lib/etc.ld.so.conf.uninstalling-oval
        /bin/chmod 644 /usr/lib/etc.ld.so.conf.uninstalling-oval
        /bin/mv /usr/lib/etc.ld.so.conf.uninstalling-oval /etc/ld.so.conf
fi
/sbin/ldconfig
fi
if [ $1 = 1 ]; then
	/sbin/ldconfig
   # // Do stuff specific to upgrades
fi

%files 
%defattr(-,root,root,0700)
#%doc terms.txt readme.txt
#README 
%defattr(-,root,root,0600)
%attr(0700,root,root)  /usr/sbin/ovalqi
%attr(0700,root,root)  /usr/sbin/ovalqi.sh
%attr(0700,root,root)  /var/log/ovalqi
/usr/lib/ovalqi/libsqlite.so.0.8.6
/usr/share/ovalqi/definitions.sql
/usr/share/doc/ovalqi/terms.txt
/usr/share/doc/ovalqi/readme.txt
/usr/share/doc/ovalqi/version.txt

%changelog
* Mon Oct 18 2004 Jay Beale <jay@bastille-linux.org> 3.4.0-1.0
* Rebuilt RPM with new source

*  Wed Sep 1 2004 Jay Beale <jay@bastille-linux.org> 3.3.0-1.0
* New source and rpm

* Wed Jul 14 2004 Jay Beale <jay@bastille-linux.org> 3.2.0-1.0
* New source and rpm

* Fri Jun 04 2004 Jay Beale <jay@bastille-linux.org> 3.1.0-1.0
- Built RPM with new source

* Tue May 18 2004 Jay Beale <jay@bastille-linux.org> 3.0.0-1.0
- New source!

* Mon May 17 2004 Jay Beale <jay@bastille-linux.org> 1.0.0-1.0
- Initial package creation - enjoy!

